demos::widget_lib::trace2(3pm)

NAME
Tk::TraceText - Text contents defined by a traced variable.

SYNOPSIS
 $tt = $parent->TraceText(-option => value, ... );

DESCRIPTION
Create a new TraceText widget that is derived from the standard Text widget. Because it inherits all the base options and methods it behaves just like a Text widget. Additionally, TraceText adds a -textvariable option, which is a reference to a Perl scalar that defines the contents of the widget.

Based on the Tcl/Tk TracedText "overridden widget" by Kevin Kenny.

-textvariable
    A scalar reference. The value of the variable defines the contents of the TraceText widget. Using the keyboard to insert or delete text changes the value of the variable, and changing the variable alters the contents of the TraceText widget.

METHODS
Standard Text widget methods.

ADVERTISED SUBWIDGETS
None.

EXAMPLE
 my $tt = $mw->TraceText( -textvariable => \$scalar );

AUTHOR
Stephen.O.Lidie@Lehigh.EDU

Copyright (C) 2003 - 2004, Steve Lidie. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

KEYWORDS
text, trace